Skip to main content
GET
/
vouchers
/
{id}
Retrieve a specific voucher
curl --request GET \
  --url https://api.spirii.com/vouchers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 12710,
  "groupId": 778,
  "code": "123hjbo6",
  "maxUsers": null,
  "createdAt": "2022-06-10T13:54:04.000Z",
  "updatedAt": "2022-10-03T09:57:04.000Z",
  "expiresAt": "2022-10-03T11:57:04.000Z",
  "locations": [
    {
      "id": 1209,
      "name": "Gentofte Hospital",
      "streetAddress": "Ledreborg allé 36",
      "zipCode": "2820",
      "city": "Gentofte"
    },
    {
      "id": 1330,
      "name": "Hillerød Hospital",
      "streetAddress": "Dyrehavevej 48",
      "zipCode": "3400",
      "city": "Hillerød"
    }
  ],
  "group": {
    "id": 778,
    "name": "4545",
    "perKwh": 3,
    "currency": "DKK",
    "isSpotPriceBased": false,
    "spotPriceMargin": 26,
    "spotPriceMarginPct": 10,
    "spotPriceMinimum": 24,
    "createdAt": "2022-06-08T15:52:43.000Z",
    "updatedAt": "2022-11-07T04:56:18.000Z",
    "voucherCount": 0
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Voucher Id

Response

Voucher list

id
integer
required

id

Example:

1

groupId
integer
required
Example:

5

code
string
required
Example:

"code123"

maxUsers
integer | null
required
Example:

5

expiresAt
string<timestamp> | null
required

Updated date

Example:

"2021-04-20T14:38:20.000Z"

createdAt
string | null

pricing currency

Example:

"DKK"

updatedAt
string<timestamp>

Updated date

Example:

"2021-04-20T14:38:20.000Z"

location
object[]
voucherGroup
object